@import "config";

@mixin slide($theme) {
    .lia-slide {
        @include flex(column, nowrap, flex-start, stretch, stretch);
        overflow: auto;

        .lia-toolbar {
            @include flex(row, nowrap, flex-start, stretch, stretch);
            overflow-x: auto;

            & > * {
              flex-shrink: 0;
            }

            .lia-btn {
                @include material-icon("", 1em);
            }
        }

        .lia-paragraph {
            text-align: justify;
            @media (max-width: 360px) {
                text-align: left;
            }
        }

        .lia-footer {
            $bg: map-get($theme, background);
            $fg: color-contrast($bg);
            $horiz: map-get($config, spacing-normal);

            //background-color: $bg;
            background: mix($bg, $fg, 95%);
            padding-left: $horiz;
            padding-right: $horiz;
            max-height: 40%;
            min-height: 52px;
            overflow: auto;
            border-top: map-get($config, spacing-small) solid mix($fg, $bg, 20%);
        }

        .lia-svg {
            $horiz: map-get($config, spacing-normal);

            //background-color: $bg;
            padding-left: $horiz;
            padding-right: $horiz;
            overflow: auto;
        }

        .lia-content {
            $horiz: map-get($config, spacing-huge);
            $vert: map-get($config, spacing-large);

            position: relative;
            flex: 1 1 auto;
            padding: $vert $horiz;
            overflow: auto;

            .lia-effect-comment-toc {
                $bg: mix(map-get($theme, background), map-get($theme, primary), 80%);

                position: fixed;
                left: map-get($config, spacing-huge) + map-get($config, toc-width);
                right: map-get($config, spacing-huge);
                bottom: map-get($config, spacing-huge);
                padding: map-get($config, spacing-large);
                background: rgba($bg, .7);
                color: color-contrast($bg);
                animation: show-comment .25s ease-in-out 0s;

                p {
                    margin: 0;
                }
            }

            .lia-effect-comment {
                $bg: mix(map-get($theme, background), map-get($theme, primary), 80%);

                position: fixed;
                left: map-get($config, spacing-huge);
                right: map-get($config, spacing-huge);
                bottom: map-get($config, spacing-huge);
                padding: map-get($config, spacing-large);
                background: rgba($bg, .7);
                color: color-contrast($bg);
                animation: show-comment .25s ease-in-out 0s;

                p {
                    margin: 0;
                }
            }

            .lia-effect-circle {
                $effect-circle-size: 1 + map-get($config, spacing-small);
                $bg: mix(map-get($theme, background), map-get($theme, background-inv), 80%);

                position: absolute;
                left: $effect-circle-size * 0.5;
                font-size: 75%;
                display: inline-block;
                width: $effect-circle-size;
                height: $effect-circle-size;
                border-radius: $effect-circle-size;
                background: $bg;
                color: color-contrast($bg);
                text-align: center;
                vertical-align: middle;
                padding: map-get($config, spacing-tiny);

                &.animated {
                  left: $effect-circle-size * -1.5;
                }
            }

            .lia-hint-btn {
                @include material-icon;
                text-decoration: none;
                color: map-get($theme, text);
                vertical-align: middle;
            }

            .lia-quiz {
              margin-top: map-get($config, spacing-large);
              margin-bottom: map-get($config, spacing-large);
              border: 3px solid map-get($theme, primary);
              padding: 10px;
              border-radius: 10px;
            }
        }
    }
}
